List agent transactions
curl --request GET \
--url https://api.usebacked.ai/agents/{agentId}/transactions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.usebacked.ai/agents/{agentId}/transactions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.usebacked.ai/agents/{agentId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"network": "<string>",
"txHash": "<string>",
"reference": "<string>",
"counterpartyDid": "<string>",
"counterpartyName": "<string>",
"amount": 123,
"currency": "<string>",
"failureReason": "<string>",
"resource": "<string>",
"metadata": {},
"occurredAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123,
"page": 123,
"pageSize": 123
}Agents
List agent transactions
Returns a paginated list of the agent’s transactions, newest first.
GET
/
agents
/
{agentId}
/
transactions
List agent transactions
Authorizations
Organization API key.
Path Parameters
The agent id.
Query Parameters
Page number.
Required range:
x >= 1Number of transactions per page.
Required range:
1 <= x <= 100⌘I